package com.ejie.m62fb.model.tipos;

public class TipoSexo extends AbstractTipoGenericoP28 {

	private static final long serialVersionUID = 1L;

	/**
	 * Valor que hace referencia al campo de BBDD
	 * 
	 * NUM_REGISTRO
	 */
	public static final long NUM_REGISTRO = P28Tipos.SEXO;
	/**
	 * Valor que hace referencia a 'V'aron
	 */
	public static final String VARON = "V";
	/**
	 * Valor que hace referencia a 'M'ujer
	 */
	public static final String MUJER = "M";

	/**
	 * Method 'TipoSexo'.
	 */
	public TipoSexo() {
		super(TipoSexo.NUM_REGISTRO);
	}

	/**
	 * Method 'TipoSexo'.
	 * 
	 * @param codTabla
	 *            String
	 */
	public TipoSexo(String codTabla) {
		super(TipoSexo.NUM_REGISTRO, codTabla);
	}

	/**
	 * Method 'TipoSexo'.
	 * 
	 * @param codTabla
	 *            String
	 * @param descripcionEs
	 *            String
	 * @param descripcionEu
	 *            String
	 */
	public TipoSexo(String codTabla, String descripcionEs,
			String descripcionEu) {
		super(TipoSexo.NUM_REGISTRO, codTabla, descripcionEs,
				descripcionEu);
	}
}